package com.yutou.bilibili.databases;

import com.yutou.bilibili.datas.SystemConfigDatabaseBean;
import com.yutou.common.databases.AbsDatabasesBean;
import com.yutou.common.databases.SQLiteManager;

import java.util.List;

public class SystemConfigDatabases extends SQLiteManager {
    @Override
    public String getFileName() {
        return "system_config.db";
    }

    @Override
    protected List<AbsDatabasesBean> getDataBean() {
        return List.of(new SystemConfigDatabaseBean());
    }

    public SystemConfigDatabases() {
        super();
        init();
    }

    public void setConfig(SystemConfigDatabaseBean bean) {
        SystemConfigDatabaseBean config = getConfig();
        if (config == null) {
            add(bean);
        } else {
            bean.setSql_time(config.getSql_time());
            update(bean);
        }
    }

    public SystemConfigDatabaseBean getConfig() {
        List<SystemConfigDatabaseBean> list = get(getDataBean().get(0).getTableName(), SystemConfigDatabaseBean.class);
        if (list.isEmpty()) {
            return null;
        }
        return list.get(0);
    }

    public SystemConfigDatabaseBean getDefaultConfig() {
        return new SystemConfigDatabaseBean();
    }
}
